package localfiles

import (
	"io"
	"os"
	"path/filepath"
)

func PutObject(
	path string,
	blob string,
	reader io.Reader,
) error {
	fullPath, err := filepath.Abs(filepath.Join(path, blob))
	if err != nil {
		return err
	}
	file, err := os.Create(fullPath)
	if err != nil {
		return err
	}
	defer file.Close()
	_, err = io.Copy(file, reader)
	if err != nil {
		return err
	}

	return nil
}
